about summary refs log tree commit diff stats
path: root/tests/infrastructure/driver.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/infrastructure/driver.sh')
-rw-r--r--tests/infrastructure/driver.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/infrastructure/driver.sh b/tests/infrastructure/driver.sh
index 52f7d3ad..f8688161 100644
--- a/tests/infrastructure/driver.sh
+++ b/tests/infrastructure/driver.sh
@@ -63,6 +63,15 @@ __test_eval() {
                 ;;
             esac
             ;;
+        "SetGolden")
+            msg "Trying to set '$args' as golden file."
+            [ -f "$args" ] || {
+                msg "Argument is not a file!"
+                exit 1
+            }
+            printf "%s" "$args" >"$__TEST_EVAL_GOLDEN_FILE"
+            msg "Set golden file to: '$args'"
+            ;;
         *)
             msg "Unrecognized command: '$cmd'"
             exit 1